import {actionPromise, gql} from "./index";





const actionOrder = (order) => {

    return async dispatch => {
        const queryJson = JSON.stringify(
            {
                order: 
                {orderGoods: order
                    //  [
                    // {
                    //     "count": 2, 
                    //     "good": {
                    //         "_id": "5e203bb256d8f720513e6cbc" 
                    //     }
                    // },
                    // {
                    //     "count": 3, 
                    //     "good": {
                    //         "_id": "5dcabac96d09c45440d14cef"}
                    // }] 
                }}
        )

        await dispatch(actionPromise(`order`, gql(
            `mutation newOrder($order: OrderInput) {
                OrderUpsert(order: $order) {
                  _id
                  createdAt
                  total
                }
              }`,  queryJson
        )))
    }
}

export default actionOrder;
